namespace IRaCIS.Core.Domain.Models;

[Comment("用户配置 - 快捷键")]
[Table("ShortcutKey")]
public class ShortcutKey : BaseAddAuditEntity
{
    #region 导航属性

    #endregion
    [Comment("对应的键盘按键")]
    public string Keyboardkey { get; set; } = string.Empty;

    [Comment("按键枚举")]
    public int ShortcutKeyEnum { get; set; }

    /// <summary>
    /// 1 Dicom 2非Dicom 3 视频
    /// </summary>
    [Comment("影像工具类型")]
    public int ImageToolType { get; set; }
    public Guid UserId { get; set; }

    public bool AltKey { get; set; } = false;

    public bool CtrlKey { get; set; } = false;

    public bool ShiftKey { get; set; } = false;

    public bool MetaKey { get; set; } = false;

    public string Text { get; set; } = string.Empty;

    public string Code { get; set; } = string.Empty;

}
